Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat.descriptive.moment
Class VectorialCovariance

    java.lang.Object
      org.apache.commons.math.stat.descriptive.moment.VectorialCovariance

All Implemented Interfaces:
  Serializable

    public class VectorialCovariance

extends Object
implements Serializable

Returns the covariance matrix of the available vectors.

Since:
  1.2
Version:
  $Revision: 922714 $ $Date: 2010-03-14 02:35:14 +0100 (dim. 14 mars 2010) $
See Also:
  Serialized Form

Constructor Summary
`VectorialCovariance(int dimension, boolean isBiasCorrected)` Constructs a VectorialCovariance.

Method Summary
`void` | `clear()` Clears the internal state of the Statistic
`boolean` | `equals(Object obj)`
`long` | `getN()` Get the number of vectors in the sample.
`RealMatrix` | `getResult()` Get the covariance matrix.
`int` | `hashCode()`
`void` | `increment(double[] v)` Add a new vector to the sample.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorialCovariance

    public VectorialCovariance(int dimension,
                               boolean isBiasCorrected)

  Constructs a VectorialCovariance.

  Parameters:
    `dimension` - vectors dimension
    `isBiasCorrected` - if true, computed the unbiased sample covariance, otherwise computes the biased population covariance

Method Detail

### increment

    public void increment(double[] v)
                   throws DimensionMismatchException

  Add a new vector to the sample.

  Parameters:
    `v` - vector to add
  Throws:
    `DimensionMismatchException` - if the vector does not have the right dimension

### getResult

    public RealMatrix getResult()

  Get the covariance matrix.

  Returns:
    covariance matrix

### getN

    public long getN()

  Get the number of vectors in the sample.

  Returns:
    number of vectors in the sample

### clear

    public void clear()

  Clears the internal state of the Statistic

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.